import java.util.LinkedList;
import java.util.Stack;

    public class 算法设计题 {

        public static void reverseQueue(LinkedList<Integer> queue) {
            if (queue == null || queue.isEmpty()) {
                return;
            }

            Stack<Integer> stack = new Stack<>();

            // 将队列元素压入栈中
            while (!queue.isEmpty()) {
                stack.push(queue.poll());
            }

            // 将栈中元素弹出并添加到队列尾部
            while (!stack.isEmpty()) {
                queue.offer(stack.pop());
            }
        }

        public static void main(String[] args) {
            LinkedList<Integer> queue = new LinkedList<>();

            // 向队列中添加元素
            queue.offer(1);
            queue.offer(2);
            queue.offer(3);
            queue.offer(4);
            queue.offer(5);

            System.out.println("Original Queue: " + queue);

            // 调用方法倒序队列
            reverseQueue(queue);

            System.out.println("Reversed Queue: " + queue);
        }
    }
